Subject: Re: [PATCH 06/18] x86, barrier: stop speculation for failed access_ok

From: Willy Tarreau <[email-masked]>
Date: Sun, 7 Jan 2018 23:15:43 +0100

On Sun, Jan 07, 2018 at 12:17:11PM -0800, Linus Torvalds wrote:
> We need to fix the security problem, but we need to do it *without*
> these braindead arguments that performance is somehow secondary.

OK OK. At least we should have security by default and let people trade
it against performance if they want and understand the risk. People
never know when they're secure enough (security doesn't measure) but
they know fairly well when they're not performant enough to take action
(most often changing the machine).

Willy